Loading...
Searching...
No Matches
Catch::Benchmark Namespace Reference

## Namespaces

namespace | Detail

## Classes

struct | Benchmark
struct | Chronometer
struct | Environment
struct | EnvironmentEstimate
struct | Estimate
struct | ExecutionPlan
struct | OutlierClassification
struct | SampleAnalysis
struct | Timing

## Typedefs

using | IDuration = std::chrono::nanoseconds
using | FDuration = std::chrono::duration<double, std::nano>
template<typename Clock>
using | TimePoint = typename Clock::time_point
using | default_clock = std::chrono::steady_clock
template<typename Func, typename... Args>
using | TimingOf = Timing<Detail::CompleteType_t<FunctionReturnType<Func, Args...>>>
template<typename T>
using | storage_for = Detail::ObjectStorage<T, true>
template<typename T>
using | destructable_object = Detail::ObjectStorage<T, false>

## Functions

template<typename T>
void | deoptimize_value (T &&x)
template<typename Fn, typename... Args>
auto | invoke_deoptimized (Fn &&fn, Args &&... args) -> std::enable_if_t<!std::is_same< void, decltype(fn(args...))>::value >
template<typename Fun>
Detail::CompleteType_t< FunctionReturnType< Fun > > | user_code (Fun &&fun)

## Typedef Documentation

## default_clock

using Catch::Benchmark::default_clock = std::chrono::steady_clock

## destructable_object

template<typename T>

using Catch::Benchmark::destructable_object = Detail::ObjectStorage<T, false>

## FDuration

using Catch::Benchmark::FDuration = std::chrono::duration<double, std::nano>

## IDuration

using Catch::Benchmark::IDuration = std::chrono::nanoseconds

## storage_for

template<typename T>

using Catch::Benchmark::storage_for = Detail::ObjectStorage<T, true>

## TimePoint

template<typename Clock>

using Catch::Benchmark::TimePoint = typename Clock::time_point

## TimingOf

template<typename Func, typename... Args>

using Catch::Benchmark::TimingOf = Timing<Detail::CompleteType_t<FunctionReturnType<Func, Args...>>>

## Function Documentation

## deoptimize_value()

template<typename T>

void Catch::Benchmark::deoptimize_value | ( | T && | x | ) |

inline

Here is the call graph for this function:
Here is the caller graph for this function:

## invoke_deoptimized()

template<typename Fn, typename... Args>

auto Catch::Benchmark::invoke_deoptimized | ( | Fn && | fn,
|  | Args &&... | args ) -> std::enable_if_t<!std::is_same<void, decltype(fn(args...))>::value>

inline

Here is the call graph for this function:
Here is the caller graph for this function:

## user_code()

template<typename Fun>

Detail::CompleteType_t< FunctionReturnType< Fun > > Catch::Benchmark::user_code | ( | Fun && | fun | ) |

Here is the call graph for this function:
Here is the caller graph for this function: